use utf8;
package Atlas::Schema::Result::Role;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Atlas::Schema::Result::Role

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 COMPONENTS LOADED

=over 4

=item * L<DBIx::Class::InflateColumn::DateTime>

=back

=cut

__PACKAGE__->load_components("InflateColumn::DateTime");

=head1 TABLE: C<roles>

=cut

__PACKAGE__->table("roles");

=head1 ACCESSORS

=head2 id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'roles_id_seq'

=head2 role

  data_type: 'text'
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "roles_id_seq",
  },
  "role",
  { data_type => "text", is_nullable => 0 },
);

=head1 PRIMARY KEY

=over 4

=item * L</id>

=back

=cut

__PACKAGE__->set_primary_key("id");

=head1 UNIQUE CONSTRAINTS

=head2 C<roles_role_key>

=over 4

=item * L</role>

=back

=cut

__PACKAGE__->add_unique_constraint("roles_role_key", ["role"]);

=head1 RELATIONS

=head2 roles_entities

Type: has_many

Related object: L<Atlas::Schema::Result::RolesEntity>

=cut

__PACKAGE__->has_many(
  "roles_entities",
  "Atlas::Schema::Result::RolesEntity",
  { "foreign.role_id" => "self.id" },
  { cascade_copy => 0, cascade_delete => 0 },
);

=head2 types_roles

Type: has_many

Related object: L<Atlas::Schema::Result::TypesRole>

=cut

__PACKAGE__->has_many(
  "types_roles",
  "Atlas::Schema::Result::TypesRole",
  { "foreign.role_id" => "self.id" },
  { cascade_copy => 0, cascade_delete => 0 },
);

=head2 types

Type: many_to_many

Composing rels: L</types_roles> -> type

=cut

__PACKAGE__->many_to_many("types", "types_roles", "type");


# Created by DBIx::Class::Schema::Loader v0.07025 @ 2012-08-20 14:56:57
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:m6Wqrjn2QQ+YuAwvKpE+vQ


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
