use utf8;
package Atlas::Schema::Result::RolesEntity;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Atlas::Schema::Result::RolesEntity

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 COMPONENTS LOADED

=over 4

=item * L<DBIx::Class::InflateColumn::DateTime>

=back

=cut

__PACKAGE__->load_components("InflateColumn::DateTime");

=head1 TABLE: C<roles_entities>

=cut

__PACKAGE__->table("roles_entities");

=head1 ACCESSORS

=head2 role_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 entity_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 entity_record_id

  data_type: 'integer'
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "role_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "entity_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "entity_record_id",
  { data_type => "integer", is_nullable => 0 },
);

=head1 PRIMARY KEY

=over 4

=item * L</role_id>

=item * L</entity_id>

=item * L</entity_record_id>

=back

=cut

__PACKAGE__->set_primary_key("role_id", "entity_id", "entity_record_id");

=head1 RELATIONS

=head2 entity

Type: belongs_to

Related object: L<Atlas::Schema::Result::Entity>

=cut

__PACKAGE__->belongs_to(
  "entity",
  "Atlas::Schema::Result::Entity",
  { id => "entity_id" },
  { is_deferrable => 1, on_delete => "CASCADE", on_update => "CASCADE" },
);

=head2 role

Type: belongs_to

Related object: L<Atlas::Schema::Result::Role>

=cut

__PACKAGE__->belongs_to(
  "role",
  "Atlas::Schema::Result::Role",
  { id => "role_id" },
  { is_deferrable => 1, on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07025 @ 2012-08-20 14:56:57
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:KEjJOkxivPuz1UTaA1TAvw


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
