CREATE VIEW hiera_radius AS
    WITH
        hostnames AS (
            SELECT
                hostname || '.d.umn.edu' AS fqdn,
                radius_secret AS value
            FROM
                hosts
            WHERE
                hostname NOT LIKE '%.%'
        ),
        fqdns AS (
            SELECT
                hostname AS fqdn,
                radius_secret AS value
            FROM
                hosts
            WHERE
                hostname LIKE '%.%'
        ),
        all_fqdns AS (
            SELECT
                *
            FROM
                hostnames
            UNION
            SELECT
                *
            FROM
                fqdns
        )
    SELECT
        'node/' || fqdn AS identifier,
        'profile::radius::campus::client::secret' AS key,
        value
    FROM
        all_fqdns
    WHERE
        value IS NOT NULL
    ORDER BY
        fqdn
;
